Skip to main content
`Ctrl`+`K`

# numpy.polynomial.chebyshev.chebline

polynomial.chebyshev.chebline(off, scl)

  Chebyshev series whose graph is a straight line.

  Parameters:
    off, scl scalars

      The specified line is given by `off + scl*x`.

  Returns:
    y ndarray

      This module’s representation of the Chebyshev series for `off + scl*x`.

  See also

  `numpy.polynomial.polynomial.polyline`
  `numpy.polynomial.legendre.legline`
  `numpy.polynomial.laguerre.lagline`
  `numpy.polynomial.hermite.hermline`
  `numpy.polynomial.hermite_e.hermeline`

  Examples

      >>> import numpy.polynomial.chebyshev as C
      >>> C.chebline(3,2)
      array([3, 2])
      >>> C.chebval(-3, C.chebline(3,2)) # should be -3
      -3.0